# sf::SoundBufferRecorder Class Reference

Specialized SoundRecorder which saves the captured audio data into a sound buffer. More...

`#include <SoundBufferRecorder.hpp>`

Inheritance diagram for sf::SoundBufferRecorder:

List of all members.

## Public Member Functions

const SoundBuffer & | GetBuffer () const
| Get the sound buffer containing the captured audio data.
void | Start (unsigned int SampleRate=44100)
| Start the capture.
void | Stop ()
| Stop the capture.
unsigned int | GetSampleRate () const
| Get the sample rate.

## Static Public Member Functions

static bool | CanCapture ()
| Tell if the system supports sound capture.

## Detailed Description

Specialized SoundRecorder which saves the captured audio data into a sound buffer.

Definition at line 42 of file SoundBufferRecorder.hpp.

## Member Function Documentation

bool sf::SoundRecorder::CanCapture | ( |  | ) | `[static, inherited]`

Tell if the system supports sound capture.

If not, this class won't be usable

Returns:
  True if audio capture is supported

If not, this class won't be usable

Definition at line 136 of file SoundRecorder.cpp.

const SoundBuffer & sf::SoundBufferRecorder::GetBuffer | ( |  | ) | const

Get the sound buffer containing the captured audio data.

Returns:
  Constant reference to the sound buffer

Definition at line 70 of file SoundBufferRecorder.cpp.

unsigned int sf::SoundRecorder::GetSampleRate | ( |  | ) | const`[inherited]`

Get the sample rate.

Returns:
  Frequency, in samples per second

Definition at line 126 of file SoundRecorder.cpp.

void sf::SoundRecorder::Start | ( | unsigned int | SampleRate = `44100` | ) | `[inherited]`

Start the capture.

Warning : only one capture can happen at the same time

Parameters:

  | SampleRate | : Sound frequency (the more samples, the higher the quality) (44100 by default = CD quality)

Warning : only one capture can happen at the same time

Definition at line 69 of file SoundRecorder.cpp.

void sf::SoundRecorder::Stop | ( |  | ) | `[inherited]`

Stop the capture.

Definition at line 115 of file SoundRecorder.cpp.

The documentation for this class was generated from the following files:

- SoundBufferRecorder.hpp
- SoundBufferRecorder.cpp